ProbabilityBoltzmann Class Reference

Boltzmann Probability. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| ProbabilityBoltzmann (unsigned long seed=SeedGenerator::instance().get())
| ProbabilityBoltzmann (const ProbabilityBoltzmann &probability)
bool | operator() (Real currentValue, Real newValue, const Array &temp) const

## Detailed Description

Boltzmann Probability.

The probability of accepting a new point is sampled from a Boltzmann distribution. A point is accepted if \( \frac{1}{1+exp(-(current-new)/T)} > u \) where \( u \) is drawn from a uniform distribution.